gr-baz Package

Public Member Functions | Friends | List of all members
baz_delay Class Reference

delay the input by a certain number of samples More...

`#include <baz_delay.h>`

Inheritance diagram for baz_delay:
[legend]

## Public Member Functions
int | delay () const
void | set_delay (int delay)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_delay_sptr | baz_make_delay (size_t itemsize, int delay)

## Detailed Description

delay the input by a certain number of samples

## Member Function Documentation

## ◆ delay()

int baz_delay::delay | ( |  | ) | const
| inline

## ◆ forecast()

void baz_delay::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ general_work()

int baz_delay::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## ◆ set_delay()

void baz_delay::set_delay | ( | int | delay | ) |

## Friends And Related Function Documentation

## ◆ baz_make_delay

BAZ_API baz_delay_sptr baz_make_delay | ( | size_t | itemsize,
|  | int | delay
| ) |  |
| friend

The documentation for this class was generated from the following file:

- baz_delay.h